> ## Documentation Index
> Fetch the complete documentation index at: https://c-mass.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project By Id

> Returns information about a project



## OpenAPI

````yaml GET /v1/projects/{id}
openapi: 3.0.1
info:
  title: c-mass API
  description: API for managing carbon credits, projects, portfolios, and orders
  version: 1.0.0
servers:
  - url: https://carbon-engine.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/projects/{id}:
    get:
      tags:
        - Projects
      summary: Retrieve a specific project by ID
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
          description: The project ID
      responses:
        '200':
          description: Details of the project
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
        '404':
          description: Project not found
        '500':
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    Project:
      required:
        - name
      type: object
      properties:
        name:
          description: The name of the project
          type: string
        description:
          description: The description of the project
          type: string
        portfolio:
          type: object
          properties:
            name:
              type: string
            description:
              type: string
        projectCategory:
          type: object
          properties:
            name:
              type: string
            description:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````